View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015010CDashCMakepublic2014-07-08 14:242014-12-01 08:27
ReporterSascha Kratky 
Assigned ToJulien Jomier 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformApple MacOSOS XOS Version10.8.5
Product Version2.2 
Target VersionFixed in Version2.4 
Summary0015010: Schema upgrade fails with Postgres database
DescriptionAttempting to upgrade the database schema from CDash 2.0.2 to 2.2 results in an error alert "Internal server errror".

On the server side the following error message is printed to the log:

[Tue Jul 08 20:12:08 2014] [error] [client 192.168.2.20] PHP Fatal error: Call to a member function fetch() on a non-object in /Library/CDash/cdash/cdash/pdocore.php on line 140
Additional InformationPostgres version is 9.1.9.
TagsNo tags attached.
Attached Filespatch file icon 0001-BUG-15010-Check-if-argument-is-valid-when-fetching-d.patch [^] (701 bytes) 2014-10-18 19:13 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0036360)
Julien Jomier (manager)
2014-07-14 09:15

Is this happening during the upgrade?
(0036362)
Sascha Kratky (reporter)
2014-07-14 09:22

Yes, the upgrade is invoked with the "Upgrade CDash" button on the maintenance page.
(0036388)
Julien Jomier (manager)
2014-07-15 04:42

So it seems that this error comes when CDash cannot access the PGSQL database. Can you make sure that you copied your config.local.php from the previous CDash?
(0037047)
Igor (reporter)
2014-10-18 19:07

Yeah, that's kind of a known issue. I used to work it around manually. By commenting failing lines out during upgrade or something like that :)
(0037048)
Igor (reporter)
2014-10-18 19:20

It's common to not check result after pdo_query() calls and call pdo_fetch_array() right away in CDash. When pdo_query() fails, the above mentioned issue arises. With mysql functions such attitude is fine, but with postgresql it leads to a fatal php error because $result === false when the following line is invoked: $result->fetch($result_type).
(0037049)
Igor (reporter)
2014-10-18 19:23

The patch may potentially fix some other similar issues.
(0037319)
Julien Jomier (manager)
2014-12-01 08:27

Thanks for the patch!

- Issue History
Date Modified Username Field Change
2014-07-08 14:24 Sascha Kratky New Issue
2014-07-14 09:15 Julien Jomier Note Added: 0036360
2014-07-14 09:22 Sascha Kratky Note Added: 0036362
2014-07-15 04:40 Julien Jomier Assigned To => Julien Jomier
2014-07-15 04:40 Julien Jomier Status new => assigned
2014-07-15 04:42 Julien Jomier Note Added: 0036388
2014-10-18 19:07 Igor Note Added: 0037047
2014-10-18 19:13 Igor File Added: 0001-BUG-15010-Check-if-argument-is-valid-when-fetching-d.patch
2014-10-18 19:20 Igor Note Added: 0037048
2014-10-18 19:23 Igor Note Added: 0037049
2014-12-01 08:27 Julien Jomier Note Added: 0037319
2014-12-01 08:27 Julien Jomier Status assigned => resolved
2014-12-01 08:27 Julien Jomier Fixed in Version => 2.4
2014-12-01 08:27 Julien Jomier Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker